package org.bench4q.share.models.master;

import java.util.UUID;

import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlRootElement;

/**
 * When asked for script brief, this will be response
 * 
 * @author coderfengyun
 * 
 */
@XmlRootElement
public class RunningAgentModel {
	private AgentModel agent;
	private int loadInUse;
	private int scriptId;
	private UUID agentRunId;

	@XmlElement
	public AgentModel getAgent() {
		return agent;
	}

	public void setAgent(AgentModel agent) {
		this.agent = agent;
	}

	@XmlElement
	public int getLoadInUse() {
		return loadInUse;
	}

	public void setLoadInUse(int loadInUse) {
		this.loadInUse = loadInUse;
	}

	@XmlElement
	public int getScriptId() {
		return scriptId;
	}

	public void setScriptId(int scriptId) {
		this.scriptId = scriptId;
	}

	@XmlElement
	public UUID getAgentRunId() {
		return agentRunId;
	}

	public void setAgentRunId(UUID agentRunId) {
		this.agentRunId = agentRunId;
	}
}
